package io.swagger.model;

import java.util.Objects;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;





@javax.annotation.Generated(value = "class io.swagger.codegen.languages.JavaInflectorServerCodegen", date = "2016-11-03T11:50:43.106+04:00")
public class InlineResponse200   {
  
  private Integer negativeBalanceDays = null;
  private Integer negativeBalanceDaysLic = null;
  private BigDecimal lastMonthDebtSum = null;
  private BigDecimal lastMonthDebtSum2 = null;
  private String blockDate = null;

  /**
   * Планируемое количество дней до наступления негативного баланса
   **/
  public InlineResponse200 negativeBalanceDays(Integer negativeBalanceDays) {
    this.negativeBalanceDays = negativeBalanceDays;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Планируемое количество дней до наступления негативного баланса")
  @JsonProperty("negative_balance_days")
  public Integer getNegativeBalanceDays() {
    return negativeBalanceDays;
  }
  public void setNegativeBalanceDays(Integer negativeBalanceDays) {
    this.negativeBalanceDays = negativeBalanceDays;
  }

  /**
   * Планируемое количество дней до наступления негативного баланса по аккаунту лицензий
   **/
  public InlineResponse200 negativeBalanceDaysLic(Integer negativeBalanceDaysLic) {
    this.negativeBalanceDaysLic = negativeBalanceDaysLic;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Планируемое количество дней до наступления негативного баланса по аккаунту лицензий")
  @JsonProperty("negative_balance_days_lic")
  public Integer getNegativeBalanceDaysLic() {
    return negativeBalanceDaysLic;
  }
  public void setNegativeBalanceDaysLic(Integer negativeBalanceDaysLic) {
    this.negativeBalanceDaysLic = negativeBalanceDaysLic;
  }

  /**
   * 
   **/
  public InlineResponse200 lastMonthDebtSum(BigDecimal lastMonthDebtSum) {
    this.lastMonthDebtSum = lastMonthDebtSum;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "")
  @JsonProperty("last_month_debt_sum")
  public BigDecimal getLastMonthDebtSum() {
    return lastMonthDebtSum;
  }
  public void setLastMonthDebtSum(BigDecimal lastMonthDebtSum) {
    this.lastMonthDebtSum = lastMonthDebtSum;
  }

  /**
   * 
   **/
  public InlineResponse200 lastMonthDebtSum2(BigDecimal lastMonthDebtSum2) {
    this.lastMonthDebtSum2 = lastMonthDebtSum2;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "")
  @JsonProperty("last_month_debt_sum2")
  public BigDecimal getLastMonthDebtSum2() {
    return lastMonthDebtSum2;
  }
  public void setLastMonthDebtSum2(BigDecimal lastMonthDebtSum2) {
    this.lastMonthDebtSum2 = lastMonthDebtSum2;
  }

  /**
   * Дата блокировки аккаунта
   **/
  public InlineResponse200 blockDate(String blockDate) {
    this.blockDate = blockDate;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Дата блокировки аккаунта")
  @JsonProperty("block_date")
  public String getBlockDate() {
    return blockDate;
  }
  public void setBlockDate(String blockDate) {
    this.blockDate = blockDate;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    InlineResponse200 inlineResponse200 = (InlineResponse200) o;
    return Objects.equals(negativeBalanceDays, inlineResponse200.negativeBalanceDays) &&
        Objects.equals(negativeBalanceDaysLic, inlineResponse200.negativeBalanceDaysLic) &&
        Objects.equals(lastMonthDebtSum, inlineResponse200.lastMonthDebtSum) &&
        Objects.equals(lastMonthDebtSum2, inlineResponse200.lastMonthDebtSum2) &&
        Objects.equals(blockDate, inlineResponse200.blockDate);
  }

  @Override
  public int hashCode() {
    return Objects.hash(negativeBalanceDays, negativeBalanceDaysLic, lastMonthDebtSum, lastMonthDebtSum2, blockDate);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class InlineResponse200 {\n");
    
    sb.append("    negativeBalanceDays: ").append(toIndentedString(negativeBalanceDays)).append("\n");
    sb.append("    negativeBalanceDaysLic: ").append(toIndentedString(negativeBalanceDaysLic)).append("\n");
    sb.append("    lastMonthDebtSum: ").append(toIndentedString(lastMonthDebtSum)).append("\n");
    sb.append("    lastMonthDebtSum2: ").append(toIndentedString(lastMonthDebtSum2)).append("\n");
    sb.append("    blockDate: ").append(toIndentedString(blockDate)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

