package io.swagger.model;

import java.util.Objects;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;





@javax.annotation.Generated(value = "class io.swagger.codegen.languages.JavaInflectorServerCodegen", date = "2016-11-03T11:50:43.106+04:00")
public class InlineResponse2003   {
  
  private Integer id = null;
  private Integer iisId = null;
  private Boolean online = null;
  private String fullDomainName = null;
  private String fullDomainNameLocal = null;
  private String addr1 = null;
  private String zone = null;

  /**
   * идентификатор домена
   **/
  public InlineResponse2003 id(Integer id) {
    this.id = id;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "идентификатор домена")
  @JsonProperty("id")
  public Integer getId() {
    return id;
  }
  public void setId(Integer id) {
    this.id = id;
  }

  /**
   * идентификатор связанной записи IIS
   **/
  public InlineResponse2003 iisId(Integer iisId) {
    this.iisId = iisId;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "идентификатор связанной записи IIS")
  @JsonProperty("iis_id")
  public Integer getIisId() {
    return iisId;
  }
  public void setIisId(Integer iisId) {
    this.iisId = iisId;
  }

  /**
   * домен работает, если true
   **/
  public InlineResponse2003 online(Boolean online) {
    this.online = online;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "домен работает, если true")
  @JsonProperty("online")
  public Boolean getOnline() {
    return online;
  }
  public void setOnline(Boolean online) {
    this.online = online;
  }

  /**
   * полное имя домена
   **/
  public InlineResponse2003 fullDomainName(String fullDomainName) {
    this.fullDomainName = fullDomainName;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "полное имя домена")
  @JsonProperty("full_domain_name")
  public String getFullDomainName() {
    return fullDomainName;
  }
  public void setFullDomainName(String fullDomainName) {
    this.fullDomainName = fullDomainName;
  }

  /**
   * 
   **/
  public InlineResponse2003 fullDomainNameLocal(String fullDomainNameLocal) {
    this.fullDomainNameLocal = fullDomainNameLocal;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "")
  @JsonProperty("full_domain_name_local")
  public String getFullDomainNameLocal() {
    return fullDomainNameLocal;
  }
  public void setFullDomainNameLocal(String fullDomainNameLocal) {
    this.fullDomainNameLocal = fullDomainNameLocal;
  }

  /**
   * 
   **/
  public InlineResponse2003 addr1(String addr1) {
    this.addr1 = addr1;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "")
  @JsonProperty("addr1")
  public String getAddr1() {
    return addr1;
  }
  public void setAddr1(String addr1) {
    this.addr1 = addr1;
  }

  /**
   * зона домена
   **/
  public InlineResponse2003 zone(String zone) {
    this.zone = zone;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "зона домена")
  @JsonProperty("zone")
  public String getZone() {
    return zone;
  }
  public void setZone(String zone) {
    this.zone = zone;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    InlineResponse2003 inlineResponse2003 = (InlineResponse2003) o;
    return Objects.equals(id, inlineResponse2003.id) &&
        Objects.equals(iisId, inlineResponse2003.iisId) &&
        Objects.equals(online, inlineResponse2003.online) &&
        Objects.equals(fullDomainName, inlineResponse2003.fullDomainName) &&
        Objects.equals(fullDomainNameLocal, inlineResponse2003.fullDomainNameLocal) &&
        Objects.equals(addr1, inlineResponse2003.addr1) &&
        Objects.equals(zone, inlineResponse2003.zone);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, iisId, online, fullDomainName, fullDomainNameLocal, addr1, zone);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class InlineResponse2003 {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    iisId: ").append(toIndentedString(iisId)).append("\n");
    sb.append("    online: ").append(toIndentedString(online)).append("\n");
    sb.append("    fullDomainName: ").append(toIndentedString(fullDomainName)).append("\n");
    sb.append("    fullDomainNameLocal: ").append(toIndentedString(fullDomainNameLocal)).append("\n");
    sb.append("    addr1: ").append(toIndentedString(addr1)).append("\n");
    sb.append("    zone: ").append(toIndentedString(zone)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

