package io.swagger.model;

import java.util.Objects;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;





@javax.annotation.Generated(value = "class io.swagger.codegen.languages.JavaInflectorServerCodegen", date = "2016-11-03T11:50:43.106+04:00")
public class InlineResponse20012   {
  
  private Integer id = null;
  private Boolean deleted = null;
  private Boolean online = null;
  private Boolean stopped = null;
  private String pwd = null;
  private String template = null;
  private String typeFull = null;
  private String physicalMac = null;
  private String type = null;

  /**
   * идентификатор VDS
   **/
  public InlineResponse20012 id(Integer id) {
    this.id = id;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "идентификатор VDS")
  @JsonProperty("id")
  public Integer getId() {
    return id;
  }
  public void setId(Integer id) {
    this.id = id;
  }

  /**
   * VDS удалён если true
   **/
  public InlineResponse20012 deleted(Boolean deleted) {
    this.deleted = deleted;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "VDS удалён если true")
  @JsonProperty("deleted")
  public Boolean getDeleted() {
    return deleted;
  }
  public void setDeleted(Boolean deleted) {
    this.deleted = deleted;
  }

  /**
   * VDS работает нормально если true
   **/
  public InlineResponse20012 online(Boolean online) {
    this.online = online;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "VDS работает нормально если true")
  @JsonProperty("online")
  public Boolean getOnline() {
    return online;
  }
  public void setOnline(Boolean online) {
    this.online = online;
  }

  /**
   * VDS остановлен если true
   **/
  public InlineResponse20012 stopped(Boolean stopped) {
    this.stopped = stopped;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "VDS остановлен если true")
  @JsonProperty("stopped")
  public Boolean getStopped() {
    return stopped;
  }
  public void setStopped(Boolean stopped) {
    this.stopped = stopped;
  }

  /**
   * изначальный пароль администратора или root
   **/
  public InlineResponse20012 pwd(String pwd) {
    this.pwd = pwd;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "изначальный пароль администратора или root")
  @JsonProperty("pwd")
  public String getPwd() {
    return pwd;
  }
  public void setPwd(String pwd) {
    this.pwd = pwd;
  }

  /**
   * шаблон, на основе которого был создан VDS
   **/
  public InlineResponse20012 template(String template) {
    this.template = template;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "шаблон, на основе которого был создан VDS")
  @JsonProperty("template")
  public String getTemplate() {
    return template;
  }
  public void setTemplate(String template) {
    this.template = template;
  }

  /**
   * полное описание типа VDS
   **/
  public InlineResponse20012 typeFull(String typeFull) {
    this.typeFull = typeFull;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "полное описание типа VDS")
  @JsonProperty("type_full")
  public String getTypeFull() {
    return typeFull;
  }
  public void setTypeFull(String typeFull) {
    this.typeFull = typeFull;
  }

  /**
   * MAC-адрес VDS
   **/
  public InlineResponse20012 physicalMac(String physicalMac) {
    this.physicalMac = physicalMac;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "MAC-адрес VDS")
  @JsonProperty("physical_mac")
  public String getPhysicalMac() {
    return physicalMac;
  }
  public void setPhysicalMac(String physicalMac) {
    this.physicalMac = physicalMac;
  }

  /**
   * тип VDS
   **/
  public InlineResponse20012 type(String type) {
    this.type = type;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "тип VDS")
  @JsonProperty("type")
  public String getType() {
    return type;
  }
  public void setType(String type) {
    this.type = type;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    InlineResponse20012 inlineResponse20012 = (InlineResponse20012) o;
    return Objects.equals(id, inlineResponse20012.id) &&
        Objects.equals(deleted, inlineResponse20012.deleted) &&
        Objects.equals(online, inlineResponse20012.online) &&
        Objects.equals(stopped, inlineResponse20012.stopped) &&
        Objects.equals(pwd, inlineResponse20012.pwd) &&
        Objects.equals(template, inlineResponse20012.template) &&
        Objects.equals(typeFull, inlineResponse20012.typeFull) &&
        Objects.equals(physicalMac, inlineResponse20012.physicalMac) &&
        Objects.equals(type, inlineResponse20012.type);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id, deleted, online, stopped, pwd, template, typeFull, physicalMac, type);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class InlineResponse20012 {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("    deleted: ").append(toIndentedString(deleted)).append("\n");
    sb.append("    online: ").append(toIndentedString(online)).append("\n");
    sb.append("    stopped: ").append(toIndentedString(stopped)).append("\n");
    sb.append("    pwd: ").append(toIndentedString(pwd)).append("\n");
    sb.append("    template: ").append(toIndentedString(template)).append("\n");
    sb.append("    typeFull: ").append(toIndentedString(typeFull)).append("\n");
    sb.append("    physicalMac: ").append(toIndentedString(physicalMac)).append("\n");
    sb.append("    type: ").append(toIndentedString(type)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

