package io.swagger.model;

import java.util.Objects;
import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;





@javax.annotation.Generated(value = "class io.swagger.codegen.languages.JavaInflectorServerCodegen", date = "2016-11-03T11:50:43.106+04:00")
public class InlineResponse20013   {
  
  private String type = null;
  private String template = null;
  private Integer popularity = null;
  private Integer actualTemplate = null;

  /**
   * Тип VDS, для которого применим шаблон. Принимает значения 'hv' и 'vz'
   **/
  public InlineResponse20013 type(String type) {
    this.type = type;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Тип VDS, для которого применим шаблон. Принимает значения 'hv' и 'vz'")
  @JsonProperty("type")
  public String getType() {
    return type;
  }
  public void setType(String type) {
    this.type = type;
  }

  /**
   * Имя шаблона
   **/
  public InlineResponse20013 template(String template) {
    this.template = template;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Имя шаблона")
  @JsonProperty("template")
  public String getTemplate() {
    return template;
  }
  public void setTemplate(String template) {
    this.template = template;
  }

  /**
   * Популярность
   **/
  public InlineResponse20013 popularity(Integer popularity) {
    this.popularity = popularity;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Популярность")
  @JsonProperty("popularity")
  public Integer getPopularity() {
    return popularity;
  }
  public void setPopularity(Integer popularity) {
    this.popularity = popularity;
  }

  /**
   * Актуальность шаблона. 1 = шаблон актуален
   **/
  public InlineResponse20013 actualTemplate(Integer actualTemplate) {
    this.actualTemplate = actualTemplate;
    return this;
  }

  
  @ApiModelProperty(example = "null", required = true, value = "Актуальность шаблона. 1 = шаблон актуален")
  @JsonProperty("actual_template")
  public Integer getActualTemplate() {
    return actualTemplate;
  }
  public void setActualTemplate(Integer actualTemplate) {
    this.actualTemplate = actualTemplate;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    InlineResponse20013 inlineResponse20013 = (InlineResponse20013) o;
    return Objects.equals(type, inlineResponse20013.type) &&
        Objects.equals(template, inlineResponse20013.template) &&
        Objects.equals(popularity, inlineResponse20013.popularity) &&
        Objects.equals(actualTemplate, inlineResponse20013.actualTemplate);
  }

  @Override
  public int hashCode() {
    return Objects.hash(type, template, popularity, actualTemplate);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class InlineResponse20013 {\n");
    
    sb.append("    type: ").append(toIndentedString(type)).append("\n");
    sb.append("    template: ").append(toIndentedString(template)).append("\n");
    sb.append("    popularity: ").append(toIndentedString(popularity)).append("\n");
    sb.append("    actualTemplate: ").append(toIndentedString(actualTemplate)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

